The Chart Of Accounts Importer object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

company string
import_file string
The Chart Of Accounts Importer object
{
  "id": "chart-of-accounts-importer_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "import_file": "import_file_example"
}
GET /api/accounts/chart-of-accounts-importer/{id}

Retrieve a chart of accounts importer

Retrieves the details of an existing chart of accounts importer. Supply the unique chart of accounts importer ID that was returned from a previous request.

Path parameters

id string required

The identifier of the chart of accounts importer to retrieve.

Returns

Returns the chart of accounts importer object if a valid identifier was provided.

GET /api/accounts/chart-of-accounts-importer/{id}
curl https://api.overplane.dev/api/accounts/chart-of-accounts-importer/chart-of-accounts-importer_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "chart-of-accounts-importer_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "import_file": "import_file_example"
}
GET /api/accounts/chart-of-accounts-importer

List all chart of accounts importers

Returns a list of chart of accounts importers. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of chart of accounts importer objects.

GET /api/accounts/chart-of-accounts-importer
curl https://api.overplane.dev/api/accounts/chart-of-accounts-importer \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "chart-of-accounts-importer_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "company": "Example Corp",
      "import_file": "import_file_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/chart-of-accounts-importer

Create a chart of accounts importer

Creates a new chart of accounts importer object.

Body parameters

company string
import_file string

Returns

Returns the newly created chart of accounts importer object if the call succeeded.

POST /api/accounts/chart-of-accounts-importer
curl https://api.overplane.dev/api/accounts/chart-of-accounts-importer \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "chart-of-accounts-importer_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "import_file": "import_file_example"
}
PATCH /api/accounts/chart-of-accounts-importer/{id}

Update a chart of accounts importer

Updates the specified chart of accounts importer by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the chart of accounts importer to update.

Body parameters

company string
import_file string

Returns

Returns the updated chart of accounts importer object.

PATCH /api/accounts/chart-of-accounts-importer/{id}
curl https://api.overplane.dev/api/accounts/chart-of-accounts-importer/chart-of-accounts-importer_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"company":"Example Corp","import_file":"import_file_example"}'
Response
{
  "id": "chart-of-accounts-importer_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "import_file": "import_file_example"
}
DELETE /api/accounts/chart-of-accounts-importer/{id}

Delete a chart of accounts importer

Permanently deletes a chart of accounts importer. This cannot be undone.

Path parameters

id string required

The identifier of the chart of accounts importer to delete.

Returns

Returns a confirmation that the chart of accounts importer has been deleted.

DELETE /api/accounts/chart-of-accounts-importer/{id}
curl https://api.overplane.dev/api/accounts/chart-of-accounts-importer/chart-of-accounts-importer_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "chart-of-accounts-importer_abc123",
  "deleted": true
}